#
# spec file for package indic-fonts
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           indic-fonts
Version:        20130612
Release:        6.10
Summary:        Professional Indian Language TrueType Fonts
License:        GPL-2.0+ and OFL-1.1
Group:          System/X11/Fonts
Url:            https://fedorahosted.org/lohit/
Source0:        https://fedorahosted.org/releases/l/o/lohit/lohit-ttf-%{version}.tar.gz
# Other free indic fonts collected by
# Amish Munshi <amunshi@novell.com> (he is not working at Novell anymore):
Source1:        indic-fonts.tar.bz2
Source2:        clear-latin-instrs.ff
BuildRequires:  fontforge
BuildRequires:  fontpackages-devel
Recommends:     pothana2000
Provides:       scalable-font-bn
Provides:       scalable-font-gu
Provides:       scalable-font-hi
Provides:       scalable-font-mr
Provides:       scalable-font-pa
Provides:       scalable-font-ta
Provides:       locale(ta;bn;gu;hi;mr;pa)
%reconfigure_fonts_prereq
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This package contains many professional Indian language TrueType fonts
contributed by the community and some also donated by organizations to
open source. All fonts are available under GPL-2.0+ or OFL-1.1.

%prep
%setup -q -n lohit-ttf-%{version} -a 1
mv indic/doc docs-for-non-lohit-fonts

%build
# bsc#977195
pushd indic/fonts/gujrati
for file in aakar-medium.ttf padmaa-Bold*.ttf padmaa-Medium*.ttf Rekha*.ttf; do
  fontforge -lang=ff -script %{SOURCE2} $file
  mv fixed.$file $file
done
popd

%install
mkdir -p %{buildroot}%{_ttfontsdir}/
# Lohit fonts:
install -m 644 ./*.?tf %{buildroot}%{_ttfontsdir}
# other fonts:
install -m 644 ./indic//fonts/*/*.?tf %{buildroot}%{_ttfontsdir}

%reconfigure_fonts_scriptlets

%files
%defattr(-, root,root)
%doc docs-for-non-lohit-fonts
%doc COPYRIGHT OFL.txt
%{_ttfontsdir}

%changelog
* Wed May 25 2016 pgajdos@suse.com
- gujrati fonts [bsc#977195]: remove hinting instructions for all
  letters except gujrati symbols in
  * aakar medium
  * padmaa Bold
  * padmaa Medium
  * Rekha medium
* Wed Nov 27 2013 pgajdos@suse.com
- updated Lohit fonts to 20130612:
  * Released Lohit Oriya with bug fixes against Harfbuzz NG.
* Tue Apr  2 2013 pgajdos@suse.com
- url in source
* Thu Mar 28 2013 pgajdos@suse.com
- adjusted description [bnc#812254]
* Tue Mar 26 2013 pgajdos@suse.com
- updated Lohit fonts to 20130130:
  * Released version 2.5.3 of All Lohit fonts with major enhancement
    and dropping Reserved Font Name.
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Thu May 17 2012 pgajdos@suse.com
- call spec-cleaner
* Thu Apr  8 2010 tiwai@suse.de
- remove unnecessary buildrequires for too old distros
* Tue Dec  8 2009 pgajdos@suse.cz
- updated Lohit fonts to 2.4.2
  (see http://svn.fedorahosted.org/svn/lohit/trunk/ChangeLog)
* Thu Nov 13 2008 mfabian@suse.de
- bnc#444025: update Lohit fonts to 2.3.1. Many bugfixes, see:
  http://svn.fedorahosted.org/svn/lohit/trunk/ChangeLog
* Tue Oct 16 2007 mfabian@suse.de
- Bugzilla #334154: update Lohit fonts to 2.1.5.
* Tue Feb  6 2007 mfabian@suse.de
- Fate #301933: add "mr" to "Provides locale()".
* Tue Jan 23 2007 mfabian@suse.de
- split the Telugu fonts Pothana2000 and Vemana2000 into
  a separate package "pothana2000".
- add "Recommends: pothana2000".
* Tue Aug  8 2006 dmueller@suse.de
- install fonts to /usr/share/fonts
* Wed Mar  1 2006 mfabian@suse.de
- add "Provides: locale(ta;bn;gu;hi;pa)".
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 mfabian@suse.de
- Bugzilla #144135: add provides scalable-font-gu, scalable-font-hi
  scalable-font-pa.
* Mon Jun 27 2005 mfabian@suse.de
- add "defattr(-, root,root)" and "# norootforbuild" again.
* Fri Jun 24 2005 mfabian@suse.de
- add %%run_suseconfig_fonts to %%post and %%postun again
- simplify .spec file
- put all fonts into the truetype directory again because it
  currently is like this in all other font packages.
* Wed Jun 15 2005 amunshi@novell.com
- Removed all fonts due to font name selection issue. (Refer to README)
- Rearranged the folder structure according to languages.
- Updated the CREDITS file.
- Some fonts provided by FSF/Akruti had to be removed since they might
  have copyright issues.
  (http://www.fsf.org.in/software/software.html#akruti)
- Add updated fonts from their sources.
* Thu Feb 24 2005 mfabian@suse.de
- install fonts into the correct directory.
* Mon Feb 21 2005 mfabian@suse.de
- Add "Provides: scalable-font-ta, scalable-font-bn" moved
  here from fonts-tamil and fonts-bangla, these two packages will
  be dropped because they contain mainly duplicates of the fonts
  in indic-fonts.
* Thu Feb 10 2005 mfabian@suse.de
- add %%run_suseconfig_fonts to %%post and %%postun.
* Tue Jan 18 2005 ro@suse.de
- change version number to 1.0 (from amunshi at novell.com)
* Thu Jan 13 2005 adrian@suse.de
- fix build
* Sat Dec  4 2004 amunshi@novell.com
- Added AUTHORS
- Added CHANGELOG
- Added CREDITS
- Added FAQ
- Added LICENSE
- Added README
- Added TODO
- Tamil font from Lohit was not included, it was not working.
- Added following fonts
- Changed the file names to Language_FontName standard.
- Changed the font names to Language_FontName standard using PfaEdit.
- Modified EM to a standard power of 2 (increased it for some fonts only).
* Fri Dec  3 2004 amunshi@novell.com
- Added Fonts from Lohit.
